﻿' Restore Single Instance to Previous WindowState
' Edgemeal: Jul-13-2014
Imports System.Runtime.InteropServices
Namespace My
    Partial Friend Class MyApplication
        <DllImport("user32.dll", SetLastError:=True, CharSet:=CharSet.Auto)> _
        Private Shared Function ShowWindow(ByVal hwnd As IntPtr, ByVal nCmdShow As Int32) As Boolean
        End Function
        Protected Overrides Sub OnStartupNextInstance(eventArgs As Microsoft.VisualBasic.ApplicationServices.StartupNextInstanceEventArgs)
            ' if form minimized, restore to previous state (normal or maximized).
            If Me.MainForm.WindowState = FormWindowState.Minimized Then
                ShowWindow(Me.MainForm.Handle, 9) ' 9 = SW_RESTORE 
            End If
            ' focus on form
            Me.MainForm.Activate()
        End Sub
    End Class
End Namespace