﻿Public Class FrmSetUp
    ' user 
    Public Property UserName As String
    Public Property UserPass As String
    Private des As New cTripleDES()

    Private Sub FrmSetUp_KeyDown(sender As Object, e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        ' if Esc Key pressed then close form/set DialogResult = Cancel.
        If e.KeyValue = Keys.Escape Then
            e.SuppressKeyPress = True ' supresses ding sound.
            Me.DialogResult = Windows.Forms.DialogResult.Cancel
        End If
    End Sub

    'Private Sub FrmSetUp_KeyUp(sender As Object, e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyUp

    'End Sub

    Private Sub FrmSetUp_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        ' set icon to same as exe
        Me.Icon = My.Resources.program
        ' user name (not encrypted)
        TxtUserName.Text = UserName
        ' decrypt user password if valid
        Try
            TxtPassword.Text = des.Decrypt(UserPass)
        Catch ex As Exception
            TxtPassword.Text = "" ' error? keys were changed or data is corrupt?
        End Try
    End Sub

    ' checkbox - Hide/Show password
    Private Sub ChkHidePassword_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles ChkHidePassword.CheckedChanged
        TxtPassword.PasswordChar = If(ChkHidePassword.Checked, CChar("*"), Nothing)
    End Sub

    ' button - OK/apply
    Private Sub BtnOK_Click(sender As System.Object, e As System.EventArgs) Handles BtnOK.Click
        Try
            Me.UserName = TxtUserName.Text
            Me.UserPass = des.Encrypt(TxtPassword.Text) ' encrypt user password.
            Me.DialogResult = Windows.Forms.DialogResult.OK
        Catch ex As Exception
            MessageBox.Show("Password Encryption Failed!?", "Uh Oh!", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Me.DialogResult = Windows.Forms.DialogResult.Abort
        End Try
    End Sub

    ' button - Cancel
    Private Sub BtnCancel_Click(sender As System.Object, e As System.EventArgs) Handles BtnCancel.Click
        Me.DialogResult = Windows.Forms.DialogResult.Cancel
    End Sub

End Class