﻿'/////////////////////////////////////////////////////////////////////////////////////////
' NOTE: THIS CLASS HAS BEEN MODIFIED FOR USE WITH 
' VBFORUMS REPUTATIONS SAVER BY EDGEMEAL.
' For the original class code see,
' Making TripleDES Simple in Visual Basic .NET
' By Tony Selke, 17 Mar 2006 
' http://www.codeproject.com/Articles/7580/Making-TripleDES-Simple-in-Visual-Basic-NET
'/////////////////////////////////////////////////////////////////////////////////////////

Imports System.IO
Imports System.Text
Imports System.Security.Cryptography

Friend Class cTripleDES
    ' define the string handler
    Private m_utf8 As New UTF8Encoding
    ' define local key and vector byte arrays, CHANGE TO MAKE A UNIQUE KEY, Once set, Do NOT Change!
    Private m_key() As Byte = {24, 2, 23, 4, 5, 16, 7, 18, 9, 10, 11, 22, 13, 20, 15, 6, 17, 8, 19, 14, 21, 12, 3, 1}
    Private m_iv() As Byte = {8, 2, 6, 4, 5, 3, 7, 1}

    Public Sub New()
    End Sub

    Public Function Encrypt(ByVal text As String) As String
        Using m_des As New TripleDESCryptoServiceProvider ' define the triple des provider
            Return Convert.ToBase64String(Transform(m_utf8.GetBytes(text), m_des.CreateEncryptor(m_key, m_iv)))
        End Using
    End Function

    Public Function Decrypt(ByVal text As String) As String
        Using m_des As New TripleDESCryptoServiceProvider ' define the triple des provider
            Return m_utf8.GetString(Transform(Convert.FromBase64String(text), m_des.CreateDecryptor(m_key, m_iv)))
        End Using
    End Function

    Private Function Transform(ByVal input() As Byte, ByVal CryptoTransform As ICryptoTransform) As Byte()
        ' create the necessary streams
        Using memStream As MemoryStream = New MemoryStream
            Using cryptStream As CryptoStream = New CryptoStream(memStream, CryptoTransform, CryptoStreamMode.Write)
                ' transform the bytes as requested
                cryptStream.Write(input, 0, input.Length)
                cryptStream.FlushFinalBlock()
                ' Read the memory stream and convert it back into byte array
                memStream.Position = 0
                Dim result(CType(memStream.Length - 1, System.Int32)) As Byte
                memStream.Read(result, 0, CType(result.Length, System.Int32))
                Return result ' hand back the encrypted buffer
                ' close and release the streams
            End Using '-cryptStream
        End Using '-memStream
    End Function

End Class
